import request from '/@/utils/request';

export function saftyApi() {
    return {
        // v1
        getSaftyList: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/measure/page/list`,
                method: 'post',
                data: data
            });
        },

        addSafty: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/measure/save`,
                method: 'post',
                data: data
            });
        },

        modSafty: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/measure/update`,
                method: 'post',
                data: data
            });
        },

        delSafty: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/measure/delete`,
                method: 'post',
                data: data
            });
        }
    };
}
